<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: _AudiomanagerCommandinterfaceIface Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('struct___audiomanager_commandinterface_iface.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">_AudiomanagerCommandinterfaceIface Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a551ebf6d7c02f5efa18eb2ec170601e4"><td class="memItemLeft" align="right" valign="top">GTypeInterface&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#a551ebf6d7c02f5efa18eb2ec170601e4">parent_iface</a></td></tr>
<tr class="separator:a551ebf6d7c02f5efa18eb2ec170601e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43990993bb9ea56972ccc7fd111ca1da"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#a43990993bb9ea56972ccc7fd111ca1da">handle_connect</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sourceID, guint16 arg_sinkID)</td></tr>
<tr class="separator:a43990993bb9ea56972ccc7fd111ca1da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa109962beceb7ee6063060e9d5031a12"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#aa109962beceb7ee6063060e9d5031a12">handle_disconnect</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_mainConnectionID)</td></tr>
<tr class="separator:aa109962beceb7ee6063060e9d5031a12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa446e43ef09c4354da0111d9b29ddc61"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#aa446e43ef09c4354da0111d9b29ddc61">handle_get_list_main_connections</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation)</td></tr>
<tr class="separator:aa446e43ef09c4354da0111d9b29ddc61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1367ae3bc1e66ce85f4e99978225304a"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#a1367ae3bc1e66ce85f4e99978225304a">handle_get_list_main_sinks</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation)</td></tr>
<tr class="separator:a1367ae3bc1e66ce85f4e99978225304a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02d3f2d14c1799b074ec446492e62539"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#a02d3f2d14c1799b074ec446492e62539">handle_set_sink_mute_state</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sinkID, gint16 arg_muteState)</td></tr>
<tr class="separator:a02d3f2d14c1799b074ec446492e62539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ebd74e48b92340de3239fe898ecadbc"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#a6ebd74e48b92340de3239fe898ecadbc">handle_set_volume</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sinkID, gint16 arg_volume)</td></tr>
<tr class="separator:a6ebd74e48b92340de3239fe898ecadbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a196093f8f4e65d4b3aecd0a7e5bcdada"><td class="memItemLeft" align="right" valign="top">gboolean(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#a196093f8f4e65d4b3aecd0a7e5bcdada">handle_volume_step</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sinkID, gint16 arg_volumeStep)</td></tr>
<tr class="separator:a196093f8f4e65d4b3aecd0a7e5bcdada"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60c7be0e93dcdeebc02e3ec6e5597545"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#a60c7be0e93dcdeebc02e3ec6e5597545">main_connection_state_changed</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, guint16 arg_connectionID, gint16 arg_connectionState)</td></tr>
<tr class="separator:a60c7be0e93dcdeebc02e3ec6e5597545"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf8ac7ac76b76708883e08af86c87116"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#acf8ac7ac76b76708883e08af86c87116">new_main_connection</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GVariant *arg_mainConnection)</td></tr>
<tr class="separator:acf8ac7ac76b76708883e08af86c87116"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a550450c8e7796acae307e5562142e"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#a79a550450c8e7796acae307e5562142e">removed_main_connection</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, guint16 arg_mainConnectionId)</td></tr>
<tr class="separator:a79a550450c8e7796acae307e5562142e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add4f7a9df53cd7dfa4ae5286a6822b9f"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#add4f7a9df53cd7dfa4ae5286a6822b9f">sink_mute_state_changed</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, guint16 arg_sinkID, gint16 arg_muteState)</td></tr>
<tr class="separator:add4f7a9df53cd7dfa4ae5286a6822b9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22c033bae26a6343ec05890b815bd238"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#a22c033bae26a6343ec05890b815bd238">system_property_changed</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GVariant *arg_SystemProperty)</td></tr>
<tr class="separator:a22c033bae26a6343ec05890b815bd238"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12178f8ea420184dc12314a6b297f044"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct___audiomanager_commandinterface_iface.html#a12178f8ea420184dc12314a6b297f044">volume_changed</a> )(<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, guint16 arg_sinkID, gint16 arg_volume)</td></tr>
<tr class="separator:a12178f8ea420184dc12314a6b297f044"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00027">27</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a43990993bb9ea56972ccc7fd111ca1da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43990993bb9ea56972ccc7fd111ca1da">&#9670;&nbsp;</a></span>handle_connect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerCommandinterfaceIface::handle_connect) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sourceID, guint16 arg_sinkID)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00032">32</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="aa109962beceb7ee6063060e9d5031a12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa109962beceb7ee6063060e9d5031a12">&#9670;&nbsp;</a></span>handle_disconnect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerCommandinterfaceIface::handle_disconnect) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_mainConnectionID)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00038">38</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="aa446e43ef09c4354da0111d9b29ddc61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa446e43ef09c4354da0111d9b29ddc61">&#9670;&nbsp;</a></span>handle_get_list_main_connections</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerCommandinterfaceIface::handle_get_list_main_connections) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00043">43</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a1367ae3bc1e66ce85f4e99978225304a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1367ae3bc1e66ce85f4e99978225304a">&#9670;&nbsp;</a></span>handle_get_list_main_sinks</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerCommandinterfaceIface::handle_get_list_main_sinks) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00047">47</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a02d3f2d14c1799b074ec446492e62539"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02d3f2d14c1799b074ec446492e62539">&#9670;&nbsp;</a></span>handle_set_sink_mute_state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerCommandinterfaceIface::handle_set_sink_mute_state) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sinkID, gint16 arg_muteState)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00051">51</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a6ebd74e48b92340de3239fe898ecadbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ebd74e48b92340de3239fe898ecadbc">&#9670;&nbsp;</a></span>handle_set_volume</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerCommandinterfaceIface::handle_set_volume) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sinkID, gint16 arg_volume)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00057">57</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a196093f8f4e65d4b3aecd0a7e5bcdada"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a196093f8f4e65d4b3aecd0a7e5bcdada">&#9670;&nbsp;</a></span>handle_volume_step</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gboolean(* _AudiomanagerCommandinterfaceIface::handle_volume_step) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GDBusMethodInvocation *invocation, guint16 arg_sinkID, gint16 arg_volumeStep)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00063">63</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a60c7be0e93dcdeebc02e3ec6e5597545"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60c7be0e93dcdeebc02e3ec6e5597545">&#9670;&nbsp;</a></span>main_connection_state_changed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* _AudiomanagerCommandinterfaceIface::main_connection_state_changed) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, guint16 arg_connectionID, gint16 arg_connectionState)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00069">69</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="acf8ac7ac76b76708883e08af86c87116"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf8ac7ac76b76708883e08af86c87116">&#9670;&nbsp;</a></span>new_main_connection</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* _AudiomanagerCommandinterfaceIface::new_main_connection) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GVariant *arg_mainConnection)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00074">74</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a551ebf6d7c02f5efa18eb2ec170601e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a551ebf6d7c02f5efa18eb2ec170601e4">&#9670;&nbsp;</a></span>parent_iface</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GTypeInterface _AudiomanagerCommandinterfaceIface::parent_iface</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00029">29</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a79a550450c8e7796acae307e5562142e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79a550450c8e7796acae307e5562142e">&#9670;&nbsp;</a></span>removed_main_connection</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* _AudiomanagerCommandinterfaceIface::removed_main_connection) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, guint16 arg_mainConnectionId)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00078">78</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="add4f7a9df53cd7dfa4ae5286a6822b9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add4f7a9df53cd7dfa4ae5286a6822b9f">&#9670;&nbsp;</a></span>sink_mute_state_changed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* _AudiomanagerCommandinterfaceIface::sink_mute_state_changed) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, guint16 arg_sinkID, gint16 arg_muteState)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00082">82</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a22c033bae26a6343ec05890b815bd238"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22c033bae26a6343ec05890b815bd238">&#9670;&nbsp;</a></span>system_property_changed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* _AudiomanagerCommandinterfaceIface::system_property_changed) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, GVariant *arg_SystemProperty)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00087">87</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<a id="a12178f8ea420184dc12314a6b297f044"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12178f8ea420184dc12314a6b297f044">&#9670;&nbsp;</a></span>volume_changed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* _AudiomanagerCommandinterfaceIface::volume_changed) (<a class="el" href="audio__manager__interface_8h.html#a5da5a28ccb8ea2c0268dd4ac81920879">AudiomanagerCommandinterface</a> *object, guint16 arg_sinkID, gint16 arg_volume)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="audio__manager__interface_8h_source.html#l00091">91</a> of file <a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>R:/SoundManagerBinding/src/dbus/<a class="el" href="audio__manager__interface_8h_source.html">audio_manager_interface.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct___audiomanager_commandinterface_iface.html">_AudiomanagerCommandinterfaceIface</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
